Package: org.gradle.ide.cdt.model

## [Groovy] Class ProjectSettings

- org.gradle.ide.cdt.model.ProjectSettings

- Gradle model element, the configurable parts of the .project file.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `name`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `applyTo(ProjectDescriptor descriptor)` Apply this logical model to the physical descriptor

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### String name

  - ### Method Detail

    - #### void applyTo(ProjectDescriptor descriptor)

      Apply this logical model to the physical descriptor